#include "Battery.h"
#include "PinChangeInterrupt.h"
#include <TinyDebugSerial.h>
TinyDebugSerial debug = TinyDebugSerial();

volatile unsigned int cnt = 0;
volatile bool irq_trigger = false;


void tick() {
  cnt++;
  irq_trigger = true;
};

void setup() {
  debug.begin(38400);
  debug.println(F("START-------->"));
  pinMode(1, INPUT_PULLUP);
  attachPcInterrupt(1, tick, RISING);
}

void loop() {
  if (irq_trigger) {
    irq_trigger = false;
    debug.println(F("IRQ was triggered"));
    debug.println(cnt);
  }

  
  debug.println(F("Sleep"));
  if (sleep(5000)) {
    debug.println(F("Sleep did finish"));
  } else {
    debug.println(F("IRQ triggered wakeup"));
  }
//  debug.println(F("delay"));
//  delay(5000);
}


